package com.zd.airbottle.service;

import com.zd.airbottle.domain.QpAirBottle;
import com.zd.airbottle.domain.QpAirBottleConfig;
import com.zd.airbottle.domain.dto.QpAirBottleDto;
import com.zd.airbottle.domain.vo.QpAirBottleRVo;

import java.util.List;
import java.util.Map;

/**
 * 气瓶Service接口
 */
public interface IQpAirBottleService
{
    /**
     * 查询气瓶
     *
     * @param id 气瓶主键
     * @return 气瓶
     */
    QpAirBottle selectQpAirBottleById(Long id);

    /**
     * 查询气瓶列表
     *
     * @param list 气瓶
     * @return 气瓶集合
     */
    List<QpAirBottleRVo> selectQpAirBottleList(List<QpAirBottle> list);

    /**
     * 查询气瓶列表
     *
     * @param qpAirBottle 气瓶
     * @return 气瓶集合
     */
    List<QpAirBottle> getList(QpAirBottle qpAirBottle);

    /**
     * 根据供应商ID查询气瓶列表
     *
     * @param supplierId 供应商ID
     * @return 气瓶集合
     */
    List<QpAirBottleConfig> getBySupplierId(Long supplierId);

    /**
     * 根据气瓶ID查询气瓶
     * @param id 气瓶id
     * @return 气瓶信息
     */
    QpAirBottleRVo getInfo(Long id);

    /**
     * 新增气瓶
     *
     * @param bottleDto 气瓶
     * @return 结果
     */
    int insertQpAirBottle(QpAirBottleDto bottleDto);

    /**
     * 修改气瓶
     *
     * @param qpAirBottle 气瓶
     * @return 结果
     */
    int updateQpAirBottle(QpAirBottle qpAirBottle);

    int update(QpAirBottleDto bottleDto);

    /**
     * 批量删除气瓶
     *
     * @param ids 需要删除的气瓶主键集合
     * @return 结果
     */
    int deleteQpAirBottleByIds(Long[] ids);

    /**
     * 删除气瓶信息
     *
     * @param id 气瓶主键
     * @return 结果
     */
    int deleteQpAirBottleById(Long id);

    /**
     * 根据供应商ID集合获取运输人员数量
     * @param supplierIds 供应商ID集合
     * @return map结果集
     */
    Map<Long, Integer> getBySupplierIds(List<Long> supplierIds);

    List<QpAirBottleRVo> getByIds(List<Long> bottleIds);

    List<QpAirBottle> getSupplierList(QpAirBottle qpAirBottle);
    void setSupplier(QpAirBottle qpAirBottle);
}